Name:          jackson-module-json-org
Version:       0.9.1
%define        subrel 1
Release:       %mkrel 4
Summary:       Support for datatypes of "org.json" JSON library 
Group:         Development/Java 
License:       ASL 2.0
Url:           https://github.com/FasterXML/
# git clone git://github.com/FasterXML/jackson-module-json-org.git
# cd jackson-module-json-org && git archive --format=tar --prefix=jackson-module-json-org-0.9.1/ jackson-module-json-org-0.9.1 | xz > jackson-module-json-org-0.9.1-src-git.tar.xz
Source0:       jackson-module-json-org-0.9.1-src-git.tar.xz
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: jackson
BuildRequires: json
BuildRequires: junit4
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      jackson
Requires:      json

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Support for datatypes of "org.json" JSON library (see http://json.org/java),
mainly to make it easier to upgrade code to Jackson, using automated conversions.

%package javadoc
Group:         Development/Java
Summary:       Javadocs for %{name}
Requires:      jpackage-utils
Requires:      %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jackson-module-json-org-%{version}

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/jackson
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/jackson/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jackson-%{name}.pom
%add_maven_depmap JPP.jackson-%{name}.pom jackson/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/jackson/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 0.9.1-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Tue Oct 22 2013 umeabot <umeabot> 0.9.1-4.mga4
+ Revision: 545905
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.9.1-3.mga4
+ Revision: 501940
- BR maven-local for mvn-rpmbuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 354664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 dmorgan <dmorgan> 0.9.1-1.mga2
+ Revision: 162457
- FIx group

  + gil <gil>
    - imported package jackson-module-json-org

